# DataExchange
TKSTEPBase
StepShape

# StepShape_ShapeDimensionRepresentation Class Reference

Representation of STEP entity ShapeDimensionRepresentation
.

`#include <StepShape_ShapeDimensionRepresentation.hxx>`

Inheritance diagram for StepShape_ShapeDimensionRepresentation:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_ShapeDimensionRepresentation ()
| Empty constructor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ShapeDimensionRepresentation::StepShape_ShapeDimensionRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_ShapeDimensionRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_ShapeRepresentation.

The documentation for this class was generated from the following file:

- StepShape_ShapeDimensionRepresentation.hxx